# arpd makefile, Jonathan Layes 960530

VERSION = 1.0.2
KERNELVERSION = linux-2.0.0

# DEBUG = -DDEBUG

CC = gcc
CFLAGS = -m486 -O6 -pipe -fomit-frame-pointer -Wall \
	-DARPD_VERSION=\"$(VERSION)\" $(DEBUG)

all:	arpd

clean:
	rm -f arpd

package: clean
	-(cd /usr/src; \
	 for file in \
			include/linux/if_arp.h \
			include/linux/kerneld.h \
			include/linux/interrupt.h \
			net/ipv4/arp.c \
			net/ipv4/Config.in \
			Documentation/Configure.help \
			MAINTAINERS \
		; do \
		diff -u -d $(KERNELVERSION).orig/$$file linux/$$file;\
	 done) > arpd-$(VERSION).kernel.patch
	cd ..; tar -czf arpd-$(VERSION).tar.gz arpd-$(VERSION)

